Skip to main content
PUT
PUT /rest/absence_types/{absenceType} — Update an absence type

Authorizations

Authorization
string
header
required

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Path Parameters

absenceType
string<uuid>
required

The absence type ID

Body

application/json
name
string
Maximum string length: 255
color
string | null
Maximum string length: 7
Pattern: ^#[0-9A-Fa-f]{6}$
icon
string | null
Maximum string length: 100
category
enum<string>
Available options:
standard,
productive
unit
enum<string>
Available options:
day,
hour
half_day_allowed
boolean
requires_approval
boolean
is_paid
boolean
certificate_required
boolean
certificate_deadline_days
integer | null
Required range: x >= 1
substitute_option
enum<string>
Available options:
disabled,
optional,
required
count_weekdays_only
boolean
is_active
boolean
sort_order
integer
Required range: x >= 0
slug
string
Maximum string length: 100
Pattern: ^[a-z0-9_]+$
affects_vacation
boolean
target_work_factor
number
Required range: 0 <= x <= 1
working_time_flag
integer | null

Response

AbsenceTypeResource

data
AbsenceTypeResource · object
required